org.apache.geode.cache.operations

## Class InterestType

- java.lang.Object
- - org.apache.geode.cache.operations.InterestType

-     public final class InterestType
      extends java.lang.Object

  Enumeration for various interest types supported by GemFire.
  Since:
    GemFire 5.5

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static InterestType` | `KEY` For registering interest in a specific key.
    `static InterestType` | `LIST` For registering interest in a list of keys.
    `static InterestType` | `REGULAR_EXPRESSION` For registering interest in all keys matching a regular expression.
    `static byte` | `TP_KEY`
    `static byte` | `TP_LIST`
    `static byte` | `TP_REGEX`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InterestType` | `fromOrdinal(byte ordinal)` Returns the `InterestType` represented by specified ordinal.
    `boolean` | `isKey()` Returns true if this is a key interest type.
    `boolean` | `isList()` Returns true if this is a key list interest type.
    `boolean` | `isRegularExpression()` Returns true if this is a regular expression interest type.
    `byte` | `toOrdinal()` Returns the ordinal for this interest type.
    `java.lang.String` | `toString()` Returns a string representation for this interest type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TP_KEY

          public static final byte TP_KEY

      See Also:
        Constant Field Values

    - #### TP_REGEX

          public static final byte TP_REGEX

      See Also:
        Constant Field Values

    - #### TP_LIST

          public static final byte TP_LIST

      See Also:
        Constant Field Values

    - #### KEY

          public static final InterestType KEY

      For registering interest in a specific key.

    - #### LIST

          public static final InterestType LIST

      For registering interest in a list of keys.

    - #### REGULAR_EXPRESSION

          public static final InterestType REGULAR_EXPRESSION

      For registering interest in all keys matching a regular expression.

  - ### Method Detail

    - #### isKey

          public boolean isKey()

      Returns true if this is a key interest type.

    - #### isList

          public boolean isList()

      Returns true if this is a key list interest type.

    - #### isRegularExpression

          public boolean isRegularExpression()

      Returns true if this is a regular expression interest type.

    - #### fromOrdinal

          public static InterestType fromOrdinal(byte ordinal)

      Returns the `InterestType` represented by specified ordinal.

    - #### toOrdinal

          public byte toOrdinal()

      Returns the ordinal for this interest type.
      Returns:
        the ordinal of this interest type.

    - #### toString

          public java.lang.String toString()

      Returns a string representation for this interest type.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the name of this interest type.